Page MenuHomePhabricator

Expand the list of pages where max-width does not and does apply
Closed, ResolvedPublic3 Estimated Story Points

Description

The new max width in Vector is disabled on all special pages however it seems that logic should also apply to the following pages:

Pages we should consider

@ovasileva / @alexhollender feel free to expand/collapse this list.

In addition to the existing pages the following pages should NOT get max width:

The following pages should get max width

  • Special:Preferences (see T260091 for more context)

Notes

  • Wikisource Page namespace:

QA Results - Beta

QA Results - Prod

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Jdlrobson renamed this task from Expand pages where max-width does not apply to Expand the list of pages where max-width does not apply.Aug 11 2020, 3:57 PM

What do you think? Are there any other pages we should consider based on feedback?

alexhollender added subscribers: ppelberg, iamjessklein.

@Jdlrobson not that I know of. I think it would be great to get the ones listed here fixed, and then we can always do this again if we find more.

FYI @ppelberg @iamjessklein we're planning to allow the source editor to be full-width. Has this been discussed with y'all?

Jdlrobson set the point value for this task to 5.Aug 19 2020, 5:16 PM

Note from medium estimation:

  • Namespaces can be generalized so start there. The class is added in the OutputPageBodyAttributes hooks so we can easily check namespace on the server
  • Diff is not an action, so there handling for edit and diff cannot be generalized.
  • There is risk the editor may require adding/removing the class in JavaScript which adds an additional layer
Jdlrobson changed the point value for this task from 5 to 3.
Jdlrobson changed the point value for this task from 3 to 5.
Jdlrobson changed the point value for this task from 5 to 3.Aug 19 2020, 5:20 PM

Please also consider adding main pages to the list, given that they usually already use two-column layout, which may make your changes quite breaking given the different expectations in new Vector and other skins.

Jdlrobson updated the task description. (Show Details)
Jdlrobson renamed this task from Expand the list of pages where max-width does not apply to Expand the list of pages where max-width does not and does apply.Oct 15 2020, 6:08 PM
Jdlrobson updated the task description. (Show Details)

Change 654678 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/Vector@master] Allow more control over the max-width rules

https://gerrit.wikimedia.org/r/654678

Change 654678 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Allow more control over the max-width rules

https://gerrit.wikimedia.org/r/654678

@Edtadros to clarify, as discussed in standup, here is what we mean by pages with and without max-width:

pages with max-widthpages without max-width
example pageexample page
Edtadros added a subscriber: Edtadros.

Test Result - Beta

Status: ❌ FAIL
Environment: beta
OS: macOS Big Sur
Browser: Chrome
Device: MBP
Emulated Device: NA

Test Artifact(s):

QA Steps

In addition to the existing pages the following pages should NOT get max-width:

✅ AC1: Diffs

❌ AC2: Wikisource page namespace e.g. https://en.wikipedia.beta.wmflabs.org/wiki/Page:Illegality_of_the_trial_of_John_W._Webster_-_Spooner_-_1850.pdf/10

✅ AC3: Category pages e.g. https://en.wikipedia.beta.wmflabs.org/wiki/Category:Wikipedia_how-to

✅ AC4: https://en.wikipedia.beta.wmflabs.org/w/index.php?title=Wikipedia:New_user_landing_page&curid=188487&diff=472400&oldid=470167&diffmode=source

❌ AC5: TBD: Source editor https://en.wikipedia.beta.wmflabs.org/w/index.php?title=Wikipedia:New_user_landing_page&action=edit

The following pages should get max-width

✅ AC6: Special:Preferences (see T260091 for more context)

Wikisource will require a configuration change and to be QAed in production. I'll get to that this week.

As for editing, the acceptance criteria said "to be decided" (TBD) @ovasileva @alexhollender can you confirm that it should be disabled on editor? Note there is no obvious way to target source editor separately from VisualEditor so this would be all editing experiences. If needed, the editing team would be better placed to do this.

Wikisource will require a configuration change and to be QAed in production. I'll get to that this week.

As for editing, the acceptance criteria said "to be decided" (TBD) @ovasileva @alexhollender can you confirm that it should be disabled on editor? Note there is no obvious way to target source editor separately from VisualEditor so this would be all editing experiences. If needed, the editing team would be better placed to do this.

Discussed this in standup. Let's hold on any changes to editing for now and I'll follow up with @ppelberg

Change 659079 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Disable max-width on page namespace for wikisource

https://gerrit.wikimedia.org/r/659079

Change 659079 merged by jenkins-bot:
[operations/mediawiki-config@master] Disable max-width on page namespace for wikisource

https://gerrit.wikimedia.org/r/659079

Change 659106 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Revert "Disable max-width on page namespace for wikisource"

https://gerrit.wikimedia.org/r/659106

Change 659106 merged by jenkins-bot:
[operations/mediawiki-config@master] Revert "Disable max-width on page namespace for wikisource"

https://gerrit.wikimedia.org/r/659106

Change 659102 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Disable max-width on page namespace for wikisource (take 2)

https://gerrit.wikimedia.org/r/659102

Change 659102 merged by jenkins-bot:
[operations/mediawiki-config@master] Disable max-width on page namespace for wikisource (take 2)

https://gerrit.wikimedia.org/r/659102

Mentioned in SAL (#wikimedia-operations) [2021-01-28T00:49:19Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: 87c304c5439b1b7898f951db61d0a0a8a11ee4f7: Disable max-width on page namespace for wikisource (T260091; 2nd take) (duration: 01m 00s)

Change 667688 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Fixes max-width configuration for new Vector

https://gerrit.wikimedia.org/r/667688

Change 667688 merged by jenkins-bot:
[operations/mediawiki-config@master] Fixes max-width configuration for new Vector

https://gerrit.wikimedia.org/r/667688

Mentioned in SAL (#wikimedia-operations) [2021-03-02T00:46:26Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 61647cd191b9bc5e2d8672fa4813b57d958f1a68: Fixes max-width configuration for new Vector (T260091) (duration: 00m 56s)

Wikisource should now be fixed. Please run through QA steps again. Sorry for the delay on this one.

Test Result - Prod

Status: ✅ PASS
Environment: enwiki, wikisource
OS: macOS Big Sur
Browser: Chrome
Device: MBP
Emulated Device: NA

Test Artifact(s):

QA Steps

In addition to the existing pages the following pages should NOT get max-width:

✅ AC1: Diffs

✅ AC2: Wikisource page namespace e.g. https://en.wikisource.org/wiki/Page:Europe_in_China.djvu/391 [2]

✅ AC3: Category pages e.g. https://en.wikipedia.org/wiki/Category:Cleanup_tagged_articles_with_a_reason_field_from_May_2020

✅ AC4: https://en.wikipedia.org/w/index.php?title=OKK_Beograd&type=revision&diff=971366348&oldid=971176401&diffmode=source

⬜ AC5: Source editor is not in scope.

The following pages should get max-width

✅ AC6: Special:Preferences (see T260091 for more context)